---
title: "1.3.0 - Release Candidate"
linkTitle: "1.3.0-rc"
date: "2020-01-13"
---


This is the 1.3.0-rc release of Agones.

This release includes the Node SDK packaged as a NPM module and hosted on github. That being said, the functionality
of the Node SDK has not changed, and previous versions will continue to work as normal.

The upgraded gRPC across Agones and SDKs is marked as a breaking change as a precaution, as we expect previous versions
of the SDK to continue to work as per normal.

We do recommend updating your SDKs to the latest version, to keep up to date and avoid any potential issues.

Check the <a href="https://github.com/googleforgames/agones/tree/release-1.3.0-rc" >README</a> for details on features, installation and usage.

**Breaking changes:**

- Node packaging [\#1264](https://github.com/googleforgames/agones/pull/1264) ([rorygarand](https://github.com/rorygarand))
- Update GRPC to v1.20.1 [\#1215](https://github.com/googleforgames/agones/pull/1215) ([markmandel](https://github.com/markmandel))

**Security fixes:**

- Update Alpine image to 3.11 [\#1253](https://github.com/googleforgames/agones/pull/1253) ([markmandel](https://github.com/markmandel))

**Implemented enhancements:**

- Terraform support for EKS [\#966](https://github.com/googleforgames/agones/issues/966)
- Added Community Meetings to the community pages [\#1271](https://github.com/googleforgames/agones/pull/1271) ([markmandel](https://github.com/markmandel))
- Fuzz Roundtrip test for v1 Agones schemas [\#1269](https://github.com/googleforgames/agones/pull/1269) ([aLekSer](https://github.com/aLekSer))
- Add Annotations validation for Template ObjectMeta [\#1266](https://github.com/googleforgames/agones/pull/1266) ([aLekSer](https://github.com/aLekSer))
- Add validation for Labels on Fleet and GS Template [\#1257](https://github.com/googleforgames/agones/pull/1257) ([aLekSer](https://github.com/aLekSer))
- Feature Gate implementation [\#1256](https://github.com/googleforgames/agones/pull/1256) ([markmandel](https://github.com/markmandel))
- Add Embark logo to Agones site [\#1237](https://github.com/googleforgames/agones/pull/1237) ([luna-duclos](https://github.com/luna-duclos))
- Unity SDK - Watch GameServer Functionality [\#1234](https://github.com/googleforgames/agones/pull/1234) ([markmandel](https://github.com/markmandel))
- Better error message for Health Check Failure [\#1222](https://github.com/googleforgames/agones/pull/1222) ([markmandel](https://github.com/markmandel))
- Configurable Log Level for Agones Controller [\#1220](https://github.com/googleforgames/agones/pull/1220) ([aLekSer](https://github.com/aLekSer))
- Add Go Client example which could create GS [\#1213](https://github.com/googleforgames/agones/pull/1213) ([aLekSer](https://github.com/aLekSer))
- Automate confirming example images are on gcr.io [\#1207](https://github.com/googleforgames/agones/pull/1207) ([markmandel](https://github.com/markmandel))
- improve stackdriver metric type [\#1132](https://github.com/googleforgames/agones/pull/1132) ([cyriltovena](https://github.com/cyriltovena))
- Feature Stages Documentation [\#1080](https://github.com/googleforgames/agones/pull/1080) ([markmandel](https://github.com/markmandel))
- Initial version of EKS terraform config [\#986](https://github.com/googleforgames/agones/pull/986) ([aLekSer](https://github.com/aLekSer))

Documentation: https://development.agones.dev/site/

See <a href="https://github.com/googleforgames/agones/blob/release-1.3.0-rc/CHANGELOG.md" >CHANGELOG</a> for more details on changes.

Images available with this release:

- [gcr.io/agones-images/agones-controller:1.3.0-rc](https://gcr.io/agones-images/agones-controller:1.3.0-rc)
- [gcr.io/agones-images/agones-sdk:1.3.0-rc](https://gcr.io/agones-images/agones-sdk:1.3.0-rc)
- [gcr.io/agones-images/agones-ping:1.3.0-rc](https://gcr.io/agones-images/agones-ping:1.3.0-rc)
- [gcr.io/agones-images/agones-allocator:1.3.0-rc](https://gcr.io/agones-images/agones-allocator:1.3.0-rc)
- [gcr.io/agones-images/cpp-simple-server:0.11](https://gcr.io/agones-images/cpp-simple-server:0.11)
- [gcr.io/agones-images/nodejs-simple-server:0.2](https://gcr.io/agones-images/nodejs-simple-server:0.2)
- [gcr.io/agones-images/rust-simple-server:0.6](https://gcr.io/agones-images/rust-simple-server:0.6)
- [gcr.io/agones-images/unity-simple-server:0.3](https://gcr.io/agones-images/unity-simple-server:0.3)
- [gcr.io/agones-images/udp-server:0.17](https://gcr.io/agones-images/udp-server:0.17)
- [gcr.io/agones-images/tcp-server:0.3](https://gcr.io/agones-images/tcp-server:0.3)
- [gcr.io/agones-images/xonotic-example:0.7](https://gcr.io/agones-images/xonotic-example:0.7)

Helm chart available with this release:

- <a href="https://agones.dev/chart/stable/agones-1.3.0-rc.tgz" >
  <code>helm install agones/agones --version 1.3.0-rc</code></a>

> Make sure to add our stable helm repository using `helm repo add agones https://agones.dev/chart/stable`
